Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-83128

There are no Qt Automotive android toolchains available for 5.12.8 and 5.14.1 snapshots

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: In Progress
    • Priority: P0: Blocker
    • Resolution: Unresolved
    • Affects Version/s: 5.14.1
    • Fix Version/s: None
    • Component/s: Packaging & Installer
    • Labels:
    • Environment:
      Linux, Ubuntu 18.04
    • Platform/s:
      Android

      Description

      There are no Qt Automotive android toolchains available in installer for 5.12.8 and 5.14.1 snapshots.
      There are device images released for Qt Automotive 5.12.8 and 5.14.1, which require android companion app for full functionality, and it is impossible to build functional one for at least 5.12.8 with the only available Qt Automotive android toolchain version (5.13.2), it is unable to connect to the device due to remoteobjects signature mismatch.
      Manually building qtivi from specific branch with android toolchain, and then building companion app works.

      Expected result: Prebuilt Qt Automotive toolchains for android for 5.12.8 and 5.14.1 branches available in installer.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              jujokini Jukka Jokiniva
              Reporter:
              n.z. Nikolay Zamotaev
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:

                  Gerrit Reviews

                  There are no open Gerrit changes